# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
from aliyunsdkpolardb.endpoint import endpoint_data

class ModifyMaskingRulesRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'polardb', '2017-08-01', 'ModifyMaskingRules','polardb')
		self.set_method('POST')

		if hasattr(self, "endpoint_map"):
			setattr(self, "endpoint_map", endpoint_data.getEndpointMap())
		if hasattr(self, "endpoint_regional"):
			setattr(self, "endpoint_regional", endpoint_data.getEndpointRegional())

	def get_MaskingAlgo(self): # String
		return self.get_query_params().get('MaskingAlgo')

	def set_MaskingAlgo(self, MaskingAlgo):  # String
		self.add_query_param('MaskingAlgo', MaskingAlgo)
	def get_RuleName(self): # String
		return self.get_query_params().get('RuleName')

	def set_RuleName(self, RuleName):  # String
		self.add_query_param('RuleName', RuleName)
	def get_RuleVersion(self): # String
		return self.get_query_params().get('RuleVersion')

	def set_RuleVersion(self, RuleVersion):  # String
		self.add_query_param('RuleVersion', RuleVersion)
	def get_Enable(self): # String
		return self.get_query_params().get('Enable')

	def set_Enable(self, Enable):  # String
		self.add_query_param('Enable', Enable)
	def get_InterfaceVersion(self): # String
		return self.get_query_params().get('InterfaceVersion')

	def set_InterfaceVersion(self, InterfaceVersion):  # String
		self.add_query_param('InterfaceVersion', InterfaceVersion)
	def get_DBClusterId(self): # String
		return self.get_query_params().get('DBClusterId')

	def set_DBClusterId(self, DBClusterId):  # String
		self.add_query_param('DBClusterId', DBClusterId)
	def get_DefaultAlgo(self): # String
		return self.get_query_params().get('DefaultAlgo')

	def set_DefaultAlgo(self, DefaultAlgo):  # String
		self.add_query_param('DefaultAlgo', DefaultAlgo)
	def get_RuleConfig(self): # String
		return self.get_query_params().get('RuleConfig')

	def set_RuleConfig(self, RuleConfig):  # String
		self.add_query_param('RuleConfig', RuleConfig)
	def get_RuleNameList(self): # String
		return self.get_query_params().get('RuleNameList')

	def set_RuleNameList(self, RuleNameList):  # String
		self.add_query_param('RuleNameList', RuleNameList)
